%global momorel 2
%global libopensyncrel 1m

Summary: Vformat Plug-In for OpenSync
Name: libopensync-plugin-vformat
Version: 0.38
Release: %{momorel}m%{?dist}
License: LGPLv2+
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: http://opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake
BuildRequires: libopensync-devel >= %{version}-%{libopensyncrel}
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from Vformat based devices.

Additionally install the libopensync package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/vconvert
%{_datadir}/opensync-1.0/formats/vcard.so
%{_datadir}/opensync-1.0/formats/vevent.so
%{_datadir}/opensync-1.0/formats/vformat-xmlformat.so
%{_datadir}/opensync-1.0/formats/vjournal.so
%{_datadir}/opensync-1.0/formats/vnote.so
%{_datadir}/opensync-1.0/formats/vtodo.so

%changelog
* Sun Apr  5 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.38-2m)
- fix Release

* Fri Mar 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.38-1m)
- version 0.38

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-0.20081004.2m)
- rebuild against rpm-4.6

* Sat Oct  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-0.20081004.1m)
- update to 0.38 svn snapshot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- initial package for new libopensync
